import Vue from 'vue'
import App from './App.vue'
import router from './router'
import vuetify from './plugins/vuetify'
import 'roboto-fontface/css/roboto/roboto-fontface.css'
import '@mdi/font/css/materialdesignicons.css'
import SatoriTelws from "@swzry/satori-telws"
import axios from "axios"
import store from './store'

Vue.config.productionTip = false

Vue.use(SatoriTelws)

new Vue({
  router,
  vuetify,
  store,
  render: h => h(App)
}).$mount('#app')

axios.get("/sysConfig.json").then((resp)=> {
  if(resp.data){
    if(resp.data.infoUrl){
      var iu = resp.data.infoUrl
      axios.get(iu).then((resp2) => {
        if(resp2.data){
          store.commit("setConfig", resp2.data)
        }
      })
    }
  }
})